import { jsx } from "react/jsx-runtime";
import { TextAaIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TextAa = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "TextAa", ...props, children: /* @__PURE__ */ jsx(TextAaIcon, { weight: variant }) });
  }
);
TextAa.displayName = "TextAa";
Object.assign(TextAa, { isGdsIcon: true });
export {
  TextAa
};
